petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatColoringPatch

sed inside matrix coloring routines that use MatGetRowIJ() and/or MatGetColumnIJ().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringPatch(Mat mat,PetscInt ncolors,PetscInt n,ISColoringValue colorarray[],ISColoring *iscoloring)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| ncolors | - max color value Many br
| n | - number of entries in colorarray Many br
| colorarray | - array indicating color for each column Many br

### Output Parameters

iscoloring -coloring generated using colorarray information Many br

Many br

### See Also

MatGetRowIJ(), MatGetColumnIJ()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages